Ignore:
Timestamp:
Oct 2, 2011 4:51:00 PM (10 years ago)
Author:
stefan
Message:

support for upcoming SCIP 2.1

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/configure

    r2429 r2459  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089  --enable-static[=PKGS]
     1090                          build static libraries [default=no]
    10891091  --disable-dependency-tracking  speeds up one-time build
    10901092  --enable-dependency-tracking   do not reject slow dependency extractors
    1091   --enable-static[=PKGS]
    1092                           build static libraries [default=no]
    10931093  --enable-maintainer-mode  enable make rules and dependencies not useful
    10941094                          (and sometimes confusing) to the casual installer
     
    42114211
    42124212# Initialize automake
     4213{
     4214
     4215
     4216
     4217# START
     4218
     4219# Test if force_shared has been set
     4220if test "x" = xforce_shared; then
     4221  if test x$enable_shared = xno; then
     4222    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     4223echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     4224   { (exit 1); exit 1; }; }
     4225  fi
     4226  enable_shared=yes;
     4227else
     4228  # On Cygwin and AIX, building DLLs doesn't work
     4229  case $build in
     4230    *-cygwin*)
     4231      coin_disable_shared=yes
     4232      platform=Cygwin
     4233    ;;
     4234    *-aix*)
     4235      coin_disable_shared=yes
     4236      platform=AIX
     4237    ;;
     4238    *-mingw*)
     4239      coin_disable_shared=yes
     4240      platform="Msys"
     4241#      case "$CXX" in
     4242#        cl*)
     4243#          coin_disable_shared=yes
     4244#          platform="Msys with cl"
     4245#      ;;
     4246#      esac
     4247    ;;
     4248  esac
     4249fi
     4250if test x"$coin_disable_shared" = xyes; then
     4251  if test x"$enable_shared" = xyes; then
     4252    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
     4253echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4254  fi
     4255  enable_shared=no
     4256fi
     4257# By default, we only want the shared objects to be compiled
     4258# Check whether --enable-static or --disable-static was given.
     4259if test "${enable_static+set}" = set; then
     4260  enableval="$enable_static"
     4261  p=${PACKAGE-default}
     4262    case $enableval in
     4263    yes) enable_static=yes ;;
     4264    no) enable_static=no ;;
     4265    *)
     4266     enable_static=no
     4267      # Look at the argument we got.  We use all the common list separators.
     4268      lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
     4269      for pkg in $enableval; do
     4270        IFS="$lt_save_ifs"
     4271        if test "X$pkg" = "X$p"; then
     4272          enable_static=yes
     4273        fi
     4274      done
     4275      IFS="$lt_save_ifs"
     4276      ;;
     4277    esac
     4278else
     4279  enable_static=no
     4280fi;
     4281
     4282
     4283
     4284
     4285# Initialize automake
     4286echo "$as_me:$LINENO: checking for egrep" >&5
     4287echo $ECHO_N "checking for egrep... $ECHO_C" >&6
     4288if test "${ac_cv_prog_egrep+set}" = set; then
     4289  echo $ECHO_N "(cached) $ECHO_C" >&6
     4290else
     4291  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
     4292    then ac_cv_prog_egrep='grep -E'
     4293    else ac_cv_prog_egrep='egrep'
     4294    fi
     4295fi
     4296echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
     4297echo "${ECHO_T}$ac_cv_prog_egrep" >&6
     4298 EGREP=$ac_cv_prog_egrep
     4299
     4300
     4301echo "$as_me:$LINENO: checking whether ln -s works" >&5
     4302echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
     4303LN_S=$as_ln_s
     4304if test "$LN_S" = "ln -s"; then
     4305  echo "$as_me:$LINENO: result: yes" >&5
     4306echo "${ECHO_T}yes" >&6
     4307else
     4308  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
     4309echo "${ECHO_T}no, using $LN_S" >&6
     4310fi
     4311
    42134312am__api_version="1.9"
    42144313# Find a good install program.  We prefer a C program (faster),
     
    45374636
    45384637
    4539 
    4540 # test to see if srcdir already configured
    4541 if test "`cd $srcdir && pwd`" != "`pwd`" &&
    4542    test -f $srcdir/config.status; then
    4543   { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
    4544 echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
    4545    { (exit 1); exit 1; }; }
    4546 fi
    4547 
    4548 # test whether we have cygpath
    4549 if test -z "$CYGPATH_W"; then
    4550   if (cygpath --version) >/dev/null 2>/dev/null; then
    4551     CYGPATH_W='cygpath -w'
    4552   else
    4553     CYGPATH_W=echo
    4554   fi
    4555 fi
    4556 
    4557 
    4558 # Define the identity of the package.
    4559  PACKAGE='thirdpartyscip'
    4560  VERSION='trunk'
    4561 
    4562 
    4563 cat >>confdefs.h <<_ACEOF
    4564 #define PACKAGE "$PACKAGE"
    4565 _ACEOF
    4566 
    4567 
    4568 cat >>confdefs.h <<_ACEOF
    4569 #define VERSION "$VERSION"
    4570 _ACEOF
    4571 
    4572 # Some tools Automake needs.
    4573 
    4574 ACLOCAL=${ACLOCAL-"${am_missing_run}aclocal-${am__api_version}"}
    4575 
    4576 
    4577 AUTOCONF=${AUTOCONF-"${am_missing_run}autoconf"}
    4578 
    4579 
    4580 AUTOMAKE=${AUTOMAKE-"${am_missing_run}automake-${am__api_version}"}
    4581 
    4582 
    4583 AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
    4584 
    4585 
    4586 MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
    4587 
    4588 install_sh=${install_sh-"$am_aux_dir/install-sh"}
    4589 
    4590 # Installed binaries are usually stripped using `strip' when the user
    4591 # run `make install-strip'.  However `strip' might not be the right
    4592 # tool to use in cross-compilation environments, therefore Automake
    4593 # will honor the `STRIP' environment variable to overrule this program.
    4594 if test "$cross_compiling" != no; then
    4595   if test -n "$ac_tool_prefix"; then
    4596   # Extract the first word of "${ac_tool_prefix}strip", so it can be a program name with args.
    4597 set dummy ${ac_tool_prefix}strip; ac_word=$2
    4598 echo "$as_me:$LINENO: checking for $ac_word" >&5
    4599 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4600 if test "${ac_cv_prog_STRIP+set}" = set; then
    4601   echo $ECHO_N "(cached) $ECHO_C" >&6
    4602 else
    4603   if test -n "$STRIP"; then
    4604   ac_cv_prog_STRIP="$STRIP" # Let the user override the test.
    4605 else
    4606 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    4607 for as_dir in $PATH
    4608 do
    4609   IFS=$as_save_IFS
    4610   test -z "$as_dir" && as_dir=.
    4611   for ac_exec_ext in '' $ac_executable_extensions; do
    4612   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4613     ac_cv_prog_STRIP="${ac_tool_prefix}strip"
    4614     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    4615     break 2
    4616   fi
    4617 done
    4618 done
    4619 
    4620 fi
    4621 fi
    4622 STRIP=$ac_cv_prog_STRIP
    4623 if test -n "$STRIP"; then
    4624   echo "$as_me:$LINENO: result: $STRIP" >&5
    4625 echo "${ECHO_T}$STRIP" >&6
    4626 else
    4627   echo "$as_me:$LINENO: result: no" >&5
    4628 echo "${ECHO_T}no" >&6
    4629 fi
    4630 
    4631 fi
    4632 if test -z "$ac_cv_prog_STRIP"; then
    4633   ac_ct_STRIP=$STRIP
    4634   # Extract the first word of "strip", so it can be a program name with args.
    4635 set dummy strip; ac_word=$2
    4636 echo "$as_me:$LINENO: checking for $ac_word" >&5
    4637 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4638 if test "${ac_cv_prog_ac_ct_STRIP+set}" = set; then
    4639   echo $ECHO_N "(cached) $ECHO_C" >&6
    4640 else
    4641   if test -n "$ac_ct_STRIP"; then
    4642   ac_cv_prog_ac_ct_STRIP="$ac_ct_STRIP" # Let the user override the test.
    4643 else
    4644 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    4645 for as_dir in $PATH
    4646 do
    4647   IFS=$as_save_IFS
    4648   test -z "$as_dir" && as_dir=.
    4649   for ac_exec_ext in '' $ac_executable_extensions; do
    4650   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4651     ac_cv_prog_ac_ct_STRIP="strip"
    4652     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    4653     break 2
    4654   fi
    4655 done
    4656 done
    4657 
    4658   test -z "$ac_cv_prog_ac_ct_STRIP" && ac_cv_prog_ac_ct_STRIP=":"
    4659 fi
    4660 fi
    4661 ac_ct_STRIP=$ac_cv_prog_ac_ct_STRIP
    4662 if test -n "$ac_ct_STRIP"; then
    4663   echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5
    4664 echo "${ECHO_T}$ac_ct_STRIP" >&6
    4665 else
    4666   echo "$as_me:$LINENO: result: no" >&5
    4667 echo "${ECHO_T}no" >&6
    4668 fi
    4669 
    4670   STRIP=$ac_ct_STRIP
    4671 else
    4672   STRIP="$ac_cv_prog_STRIP"
    4673 fi
    4674 
    4675 fi
    4676 INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
    4677 
    4678 # We need awk for the "check" target.  The system "awk" is bad on
    4679 # some platforms.
    4680 # Always define AMTAR for backward compatibility.
    4681 
    4682 AMTAR=${AMTAR-"${am_missing_run}tar"}
    4683 
    4684 am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
    4685 
    4686 
    4687 
    4688 
    4689 depcc="$CC"   am_compiler_list=
    4690 
    4691 echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
    4692 echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
    4693 if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
    4694   echo $ECHO_N "(cached) $ECHO_C" >&6
    4695 else
    4696   if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
    4697   # We make a subdir and do the tests there.  Otherwise we can end up
    4698   # making bogus files that we don't know about and never remove.  For
    4699   # instance it was reported that on HP-UX the gcc test will end up
    4700   # making a dummy file named `D' -- because `-MD' means `put the output
    4701   # in D'.
    4702   mkdir conftest.dir
    4703   # Copy depcomp to subdir because otherwise we won't find it if we're
    4704   # using a relative directory.
    4705   cp "$am_depcomp" conftest.dir
    4706   cd conftest.dir
    4707   # We will build objects and dependencies in a subdirectory because
    4708   # it helps to detect inapplicable dependency modes.  For instance
    4709   # both Tru64's cc and ICC support -MD to output dependencies as a
    4710   # side effect of compilation, but ICC will put the dependencies in
    4711   # the current directory while Tru64 will put them in the object
    4712   # directory.
    4713   mkdir sub
    4714 
    4715   am_cv_CC_dependencies_compiler_type=none
    4716   if test "$am_compiler_list" = ""; then
    4717      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
    4718   fi
    4719   for depmode in $am_compiler_list; do
    4720     # Setup a source with many dependencies, because some compilers
    4721     # like to wrap large dependency lists on column 80 (with \), and
    4722     # we should not choose a depcomp mode which is confused by this.
    4723     #
    4724     # We need to recreate these files for each test, as the compiler may
    4725     # overwrite some of them when testing with obscure command lines.
    4726     # This happens at least with the AIX C compiler.
    4727     : > sub/conftest.c
    4728     for i in 1 2 3 4 5 6; do
    4729       echo '#include "conftst'$i'.h"' >> sub/conftest.c
    4730       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    4731       # Solaris 8's {/usr,}/bin/sh.
    4732       touch sub/conftst$i.h
    4733     done
    4734     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
    4735 
    4736     case $depmode in
    4737     nosideeffect)
    4738       # after this tag, mechanisms are not by side-effect, so they'll
    4739       # only be used when explicitly requested
    4740       if test "x$enable_dependency_tracking" = xyes; then
    4741         continue
    4742       else
    4743         break
    4744       fi
    4745       ;;
    4746     none) break ;;
    4747     esac
    4748     # We check with `-c' and `-o' for the sake of the "dashmstdout"
    4749     # mode.  It turns out that the SunPro C++ compiler does not properly
    4750     # handle `-M -o', and we need to detect this.
    4751     if depmode=$depmode \
    4752        source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
    4753        depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
    4754        $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
    4755          >/dev/null 2>conftest.err &&
    4756        grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
    4757        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
    4758        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    4759       # icc doesn't choke on unknown options, it will just issue warnings
    4760       # or remarks (even with -Werror).  So we grep stderr for any message
    4761       # that says an option was ignored or not supported.
    4762       # When given -MP, icc 7.0 and 7.1 complain thusly:
    4763       #   icc: Command line warning: ignoring option '-M'; no argument required
    4764       # The diagnosis changed in icc 8.0:
    4765       #   icc: Command line remark: option '-MP' not supported
    4766       if (grep 'ignoring option' conftest.err ||
    4767           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    4768         am_cv_CC_dependencies_compiler_type=$depmode
    4769         break
    4770       fi
    4771     fi
    4772   done
    4773 
    4774   cd ..
    4775   rm -rf conftest.dir
    4776 else
    4777   am_cv_CC_dependencies_compiler_type=none
    4778 fi
    4779 
    4780 fi
    4781 echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
    4782 echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
    4783 CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
    4784 
    4785 
    4786 
    4787 if
    4788   test "x$enable_dependency_tracking" != xno \
    4789   && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
    4790   am__fastdepCC_TRUE=
    4791   am__fastdepCC_FALSE='#'
    4792 else
    4793   am__fastdepCC_TRUE='#'
    4794   am__fastdepCC_FALSE=
    4795 fi
    4796 
    4797 
    4798 depcc="$CXX"  am_compiler_list=
    4799 
    4800 echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
    4801 echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
    4802 if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
    4803   echo $ECHO_N "(cached) $ECHO_C" >&6
    4804 else
    4805   if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
    4806   # We make a subdir and do the tests there.  Otherwise we can end up
    4807   # making bogus files that we don't know about and never remove.  For
    4808   # instance it was reported that on HP-UX the gcc test will end up
    4809   # making a dummy file named `D' -- because `-MD' means `put the output
    4810   # in D'.
    4811   mkdir conftest.dir
    4812   # Copy depcomp to subdir because otherwise we won't find it if we're
    4813   # using a relative directory.
    4814   cp "$am_depcomp" conftest.dir
    4815   cd conftest.dir
    4816   # We will build objects and dependencies in a subdirectory because
    4817   # it helps to detect inapplicable dependency modes.  For instance
    4818   # both Tru64's cc and ICC support -MD to output dependencies as a
    4819   # side effect of compilation, but ICC will put the dependencies in
    4820   # the current directory while Tru64 will put them in the object
    4821   # directory.
    4822   mkdir sub
    4823 
    4824   am_cv_CXX_dependencies_compiler_type=none
    4825   if test "$am_compiler_list" = ""; then
    4826      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
    4827   fi
    4828   for depmode in $am_compiler_list; do
    4829     # Setup a source with many dependencies, because some compilers
    4830     # like to wrap large dependency lists on column 80 (with \), and
    4831     # we should not choose a depcomp mode which is confused by this.
    4832     #
    4833     # We need to recreate these files for each test, as the compiler may
    4834     # overwrite some of them when testing with obscure command lines.
    4835     # This happens at least with the AIX C compiler.
    4836     : > sub/conftest.c
    4837     for i in 1 2 3 4 5 6; do
    4838       echo '#include "conftst'$i'.h"' >> sub/conftest.c
    4839       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    4840       # Solaris 8's {/usr,}/bin/sh.
    4841       touch sub/conftst$i.h
    4842     done
    4843     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
    4844 
    4845     case $depmode in
    4846     nosideeffect)
    4847       # after this tag, mechanisms are not by side-effect, so they'll
    4848       # only be used when explicitly requested
    4849       if test "x$enable_dependency_tracking" = xyes; then
    4850         continue
    4851       else
    4852         break
    4853       fi
    4854       ;;
    4855     none) break ;;
    4856     esac
    4857     # We check with `-c' and `-o' for the sake of the "dashmstdout"
    4858     # mode.  It turns out that the SunPro C++ compiler does not properly
    4859     # handle `-M -o', and we need to detect this.
    4860     if depmode=$depmode \
    4861        source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
    4862        depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
    4863        $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
    4864          >/dev/null 2>conftest.err &&
    4865        grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
    4866        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
    4867        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    4868       # icc doesn't choke on unknown options, it will just issue warnings
    4869       # or remarks (even with -Werror).  So we grep stderr for any message
    4870       # that says an option was ignored or not supported.
    4871       # When given -MP, icc 7.0 and 7.1 complain thusly:
    4872       #   icc: Command line warning: ignoring option '-M'; no argument required
    4873       # The diagnosis changed in icc 8.0:
    4874       #   icc: Command line remark: option '-MP' not supported
    4875       if (grep 'ignoring option' conftest.err ||
    4876           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    4877         am_cv_CXX_dependencies_compiler_type=$depmode
    4878         break
    4879       fi
    4880     fi
    4881   done
    4882 
    4883   cd ..
    4884   rm -rf conftest.dir
    4885 else
    4886   am_cv_CXX_dependencies_compiler_type=none
    4887 fi
    4888 
    4889 fi
    4890 echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
    4891 echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
    4892 CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
    4893 
    4894 
    4895 
    4896 if
    4897   test "x$enable_dependency_tracking" != xno \
    4898   && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
    4899   am__fastdepCXX_TRUE=
    4900   am__fastdepCXX_FALSE='#'
    4901 else
    4902   am__fastdepCXX_TRUE='#'
    4903   am__fastdepCXX_FALSE=
    4904 fi
    4905 
    4906 
    4907 
    4908 if test "x$CC" != xcc; then
    4909   echo "$as_me:$LINENO: checking whether $CC and cc understand -c and -o together" >&5
    4910 echo $ECHO_N "checking whether $CC and cc understand -c and -o together... $ECHO_C" >&6
    4911 else
    4912   echo "$as_me:$LINENO: checking whether cc understands -c and -o together" >&5
    4913 echo $ECHO_N "checking whether cc understands -c and -o together... $ECHO_C" >&6
    4914 fi
    4915 set dummy $CC; ac_cc=`echo $2 |
    4916                       sed 's/[^a-zA-Z0-9_]/_/g;s/^[0-9]/_/'`
    4917 if eval "test \"\${ac_cv_prog_cc_${ac_cc}_c_o+set}\" = set"; then
    4918   echo $ECHO_N "(cached) $ECHO_C" >&6
    4919 else
    4920   cat >conftest.$ac_ext <<_ACEOF
    4921 /* confdefs.h.  */
    4922 _ACEOF
    4923 cat confdefs.h >>conftest.$ac_ext
    4924 cat >>conftest.$ac_ext <<_ACEOF
    4925 /* end confdefs.h.  */
    4926 
    4927 int
    4928 main ()
    4929 {
    4930 
    4931   ;
    4932   return 0;
    4933 }
    4934 _ACEOF
    4935 # Make sure it works both with $CC and with simple cc.
    4936 # We do the test twice because some compilers refuse to overwrite an
    4937 # existing .o file with -o, though they will create one.
    4938 ac_try='$CC -c conftest.$ac_ext -o conftest.$ac_objext >&5'
    4939 if { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4940   (eval $ac_try) 2>&5
    4941   ac_status=$?
    4942   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4943   (exit $ac_status); } &&
    4944    test -f conftest.$ac_objext && { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4945   (eval $ac_try) 2>&5
    4946   ac_status=$?
    4947   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4948   (exit $ac_status); };
    4949 then
    4950   eval ac_cv_prog_cc_${ac_cc}_c_o=yes
    4951   if test "x$CC" != xcc; then
    4952     # Test first that cc exists at all.
    4953     if { ac_try='cc -c conftest.$ac_ext >&5'
    4954   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4955   (eval $ac_try) 2>&5
    4956   ac_status=$?
    4957   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4958   (exit $ac_status); }; }; then
    4959       ac_try='cc -c conftest.$ac_ext -o conftest.$ac_objext >&5'
    4960       if { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4961   (eval $ac_try) 2>&5
    4962   ac_status=$?
    4963   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4964   (exit $ac_status); } &&
    4965          test -f conftest.$ac_objext && { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4966   (eval $ac_try) 2>&5
    4967   ac_status=$?
    4968   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4969   (exit $ac_status); };
    4970       then
    4971         # cc works too.
    4972         :
    4973       else
    4974         # cc exists but doesn't like -o.
    4975         eval ac_cv_prog_cc_${ac_cc}_c_o=no
    4976       fi
    4977     fi
    4978   fi
    4979 else
    4980   eval ac_cv_prog_cc_${ac_cc}_c_o=no
    4981 fi
    4982 rm -f conftest*
    4983 
    4984 fi
    4985 if eval "test \"`echo '$ac_cv_prog_cc_'${ac_cc}_c_o`\" = yes"; then
    4986   echo "$as_me:$LINENO: result: yes" >&5
    4987 echo "${ECHO_T}yes" >&6
    4988 else
    4989   echo "$as_me:$LINENO: result: no" >&5
    4990 echo "${ECHO_T}no" >&6
    4991 
    4992 cat >>confdefs.h <<\_ACEOF
    4993 #define NO_MINUS_C_MINUS_O 1
    4994 _ACEOF
    4995 
    4996 fi
    4997 
    4998 # FIXME: we rely on the cache variable name because
    4999 # there is no other way.
    5000 set dummy $CC
    5001 ac_cc=`echo $2 | sed 's/[^a-zA-Z0-9_]/_/g;s/^[0-9]/_/'`
    5002 if eval "test \"`echo '$ac_cv_prog_cc_'${ac_cc}_c_o`\" != yes"; then
    5003    # Losing compiler, so override with the script.
    5004    # FIXME: It is wrong to rewrite CC.
    5005    # But if we don't then we get into trouble of one sort or another.
    5006    # A longer-term fix would be to have automake use am__CC in this case,
    5007    # and then we could set am__CC="\$(top_srcdir)/compile \$(CC)"
    5008    CC="$am_aux_dir/compile $CC"
    5009 fi
    5010 
    5011 {
    5012 
    5013 
    5014 
    5015 # START
    5016 
    5017 # Test if force_shared has been set
    5018 if test "x" = xforce_shared; then
    5019   if test x$enable_shared = xno; then
    5020     { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
    5021 echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
    5022    { (exit 1); exit 1; }; }
    5023   fi
    5024   enable_shared=yes;
    5025 else
    5026   # On Cygwin and AIX, building DLLs doesn't work
    5027   case $build in
    5028     *-cygwin*)
    5029       coin_disable_shared=yes
    5030       platform=Cygwin
    5031     ;;
    5032     *-aix*)
    5033       coin_disable_shared=yes
    5034       platform=AIX
    5035     ;;
    5036     *-mingw*)
    5037       coin_disable_shared=yes
    5038       platform="Msys"
    5039 #      case "$CXX" in
    5040 #        cl*)
    5041 #          coin_disable_shared=yes
    5042 #          platform="Msys with cl"
    5043 #      ;;
    5044 #      esac
    5045     ;;
    5046   esac
    5047 fi
    5048 if test x"$coin_disable_shared" = xyes; then
    5049   if test x"$enable_shared" = xyes; then
    5050     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    5051 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
    5052   fi
    5053   enable_shared=no
    5054 fi
    5055 # By default, we only want the shared objects to be compiled
    5056 # Check whether --enable-static or --disable-static was given.
    5057 if test "${enable_static+set}" = set; then
    5058   enableval="$enable_static"
    5059   p=${PACKAGE-default}
    5060     case $enableval in
    5061     yes) enable_static=yes ;;
    5062     no) enable_static=no ;;
    5063     *)
    5064      enable_static=no
    5065       # Look at the argument we got.  We use all the common list separators.
    5066       lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
    5067       for pkg in $enableval; do
    5068         IFS="$lt_save_ifs"
    5069         if test "X$pkg" = "X$p"; then
    5070           enable_static=yes
    5071         fi
    5072       done
    5073       IFS="$lt_save_ifs"
    5074       ;;
    5075     esac
    5076 else
    5077   enable_static=no
    5078 fi;
    5079 
    5080 
    5081 
    5082 
    5083 # Initialize automake
    5084 echo "$as_me:$LINENO: checking for egrep" >&5
    5085 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
    5086 if test "${ac_cv_prog_egrep+set}" = set; then
    5087   echo $ECHO_N "(cached) $ECHO_C" >&6
    5088 else
    5089   if echo a | (grep -E '(a|b)') >/dev/null 2>&1
    5090     then ac_cv_prog_egrep='grep -E'
    5091     else ac_cv_prog_egrep='egrep'
    5092     fi
    5093 fi
    5094 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
    5095 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
    5096  EGREP=$ac_cv_prog_egrep
    5097 
    5098 
    5099 echo "$as_me:$LINENO: checking whether ln -s works" >&5
    5100 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    5101 LN_S=$as_ln_s
    5102 if test "$LN_S" = "ln -s"; then
    5103   echo "$as_me:$LINENO: result: yes" >&5
    5104 echo "${ECHO_T}yes" >&6
    5105 else
    5106   echo "$as_me:$LINENO: result: no, using $LN_S" >&5
    5107 echo "${ECHO_T}no, using $LN_S" >&6
    5108 fi
    51094638
    51104639
     
    64295958*-*-irix6*)
    64305959  # Find out which ABI we are using.
    6431   echo '#line 6431 "configure"' > conftest.$ac_ext
     5960  echo '#line 5960 "configure"' > conftest.$ac_ext
    64325961  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64335962  (eval $ac_compile) 2>&5
     
    75637092
    75647093# Provide some information about the compiler.
    7565 echo "$as_me:7565:" \
     7094echo "$as_me:7094:" \
    75667095     "checking for Fortran 77 compiler version" >&5
    75677096ac_compiler=`set X $ac_compile; echo $2`
     
    86308159   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86318160   -e 's:$: $lt_compiler_flag:'`
    8632    (eval echo "\"\$as_me:8632: $lt_compile\"" >&5)
     8161   (eval echo "\"\$as_me:8161: $lt_compile\"" >&5)
    86338162   (eval "$lt_compile" 2>conftest.err)
    86348163   ac_status=$?
    86358164   cat conftest.err >&5
    8636    echo "$as_me:8636: \$? = $ac_status" >&5
     8165   echo "$as_me:8165: \$? = $ac_status" >&5
    86378166   if (exit $ac_status) && test -s "$ac_outfile"; then
    86388167     # The compiler can only warn and ignore the option if not recognized
     
    88988427   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88998428   -e 's:$: $lt_compiler_flag:'`
    8900    (eval echo "\"\$as_me:8900: $lt_compile\"" >&5)
     8429   (eval echo "\"\$as_me:8429: $lt_compile\"" >&5)
    89018430   (eval "$lt_compile" 2>conftest.err)
    89028431   ac_status=$?
    89038432   cat conftest.err >&5
    8904    echo "$as_me:8904: \$? = $ac_status" >&5
     8433   echo "$as_me:8433: \$? = $ac_status" >&5
    89058434   if (exit $ac_status) && test -s "$ac_outfile"; then
    89068435     # The compiler can only warn and ignore the option if not recognized
     
    90028531   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90038532   -e 's:$: $lt_compiler_flag:'`
    9004    (eval echo "\"\$as_me:9004: $lt_compile\"" >&5)
     8533   (eval echo "\"\$as_me:8533: $lt_compile\"" >&5)
    90058534   (eval "$lt_compile" 2>out/conftest.err)
    90068535   ac_status=$?
    90078536   cat out/conftest.err >&5
    9008    echo "$as_me:9008: \$? = $ac_status" >&5
     8537   echo "$as_me:8537: \$? = $ac_status" >&5
    90098538   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90108539   then
     
    1134710876  lt_status=$lt_dlunknown
    1134810877  cat > conftest.$ac_ext <<EOF
    11349 #line 11349 "configure"
     10878#line 10878 "configure"
    1135010879#include "confdefs.h"
    1135110880
     
    1144710976  lt_status=$lt_dlunknown
    1144810977  cat > conftest.$ac_ext <<EOF
    11449 #line 11449 "configure"
     10978#line 10978 "configure"
    1145010979#include "confdefs.h"
    1145110980
     
    1379113320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1379213321   -e 's:$: $lt_compiler_flag:'`
    13793    (eval echo "\"\$as_me:13793: $lt_compile\"" >&5)
     13322   (eval echo "\"\$as_me:13322: $lt_compile\"" >&5)
    1379413323   (eval "$lt_compile" 2>conftest.err)
    1379513324   ac_status=$?
    1379613325   cat conftest.err >&5
    13797    echo "$as_me:13797: \$? = $ac_status" >&5
     13326   echo "$as_me:13326: \$? = $ac_status" >&5
    1379813327   if (exit $ac_status) && test -s "$ac_outfile"; then
    1379913328     # The compiler can only warn and ignore the option if not recognized
     
    1389513424   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389613425   -e 's:$: $lt_compiler_flag:'`
    13897    (eval echo "\"\$as_me:13897: $lt_compile\"" >&5)
     13426   (eval echo "\"\$as_me:13426: $lt_compile\"" >&5)
    1389813427   (eval "$lt_compile" 2>out/conftest.err)
    1389913428   ac_status=$?
    1390013429   cat out/conftest.err >&5
    13901    echo "$as_me:13901: \$? = $ac_status" >&5
     13430   echo "$as_me:13430: \$? = $ac_status" >&5
    1390213431   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1390313432   then
     
    1546514994   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546614995   -e 's:$: $lt_compiler_flag:'`
    15467    (eval echo "\"\$as_me:15467: $lt_compile\"" >&5)
     14996   (eval echo "\"\$as_me:14996: $lt_compile\"" >&5)
    1546814997   (eval "$lt_compile" 2>conftest.err)
    1546914998   ac_status=$?
    1547014999   cat conftest.err >&5
    15471    echo "$as_me:15471: \$? = $ac_status" >&5
     15000   echo "$as_me:15000: \$? = $ac_status" >&5
    1547215001   if (exit $ac_status) && test -s "$ac_outfile"; then
    1547315002     # The compiler can only warn and ignore the option if not recognized
     
    1556915098   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1557015099   -e 's:$: $lt_compiler_flag:'`
    15571    (eval echo "\"\$as_me:15571: $lt_compile\"" >&5)
     15100   (eval echo "\"\$as_me:15100: $lt_compile\"" >&5)
    1557215101   (eval "$lt_compile" 2>out/conftest.err)
    1557315102   ac_status=$?
    1557415103   cat out/conftest.err >&5
    15575    echo "$as_me:15575: \$? = $ac_status" >&5
     15104   echo "$as_me:15104: \$? = $ac_status" >&5
    1557615105   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1557715106   then
     
    1777617305   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777717306   -e 's:$: $lt_compiler_flag:'`
    17778    (eval echo "\"\$as_me:17778: $lt_compile\"" >&5)
     17307   (eval echo "\"\$as_me:17307: $lt_compile\"" >&5)
    1777917308   (eval "$lt_compile" 2>conftest.err)
    1778017309   ac_status=$?
    1778117310   cat conftest.err >&5
    17782    echo "$as_me:17782: \$? = $ac_status" >&5
     17311   echo "$as_me:17311: \$? = $ac_status" >&5
    1778317312   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778417313     # The compiler can only warn and ignore the option if not recognized
     
    1804417573   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804517574   -e 's:$: $lt_compiler_flag:'`
    18046    (eval echo "\"\$as_me:18046: $lt_compile\"" >&5)
     17575   (eval echo "\"\$as_me:17575: $lt_compile\"" >&5)
    1804717576   (eval "$lt_compile" 2>conftest.err)
    1804817577   ac_status=$?
    1804917578   cat conftest.err >&5
    18050    echo "$as_me:18050: \$? = $ac_status" >&5
     17579   echo "$as_me:17579: \$? = $ac_status" >&5
    1805117580   if (exit $ac_status) && test -s "$ac_outfile"; then
    1805217581     # The compiler can only warn and ignore the option if not recognized
     
    1814817677   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1814917678   -e 's:$: $lt_compiler_flag:'`
    18150    (eval echo "\"\$as_me:18150: $lt_compile\"" >&5)
     17679   (eval echo "\"\$as_me:17679: $lt_compile\"" >&5)
    1815117680   (eval "$lt_compile" 2>out/conftest.err)
    1815217681   ac_status=$?
    1815317682   cat out/conftest.err >&5
    18154    echo "$as_me:18154: \$? = $ac_status" >&5
     17683   echo "$as_me:17683: \$? = $ac_status" >&5
    1815517684   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815617685   then
     
    2106020589echo "$as_me:$LINENO: result: ${scipver}.${scipsubver}" >&5
    2106120590echo "${ECHO_T}${scipver}.${scipsubver}" >&6
    21062 if test $scipver -lt 200 -o $scipver -ge 210 ; then
    21063   { { echo "$as_me:$LINENO: error: \"Incorrect SCIP version. This build system is made for SCIP 2.0.x\"" >&5
    21064 echo "$as_me: error: \"Incorrect SCIP version. This build system is made for SCIP 2.0.x\"" >&2;}
    21065    { (exit 1); exit 1; }; }
    21066 fi
     20591#if test $scipver -lt 210 -o $scipver -ge 220 ; then
     20592#  AC_MSG_ERROR(["Incorrect SCIP version. This build system is made for SCIP 2.1.x"])
     20593#fi
    2106720594
    2106820595#############################################################################
     
    2170221229     # construct dependencies variables from LIBS variables
    2170321230     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    21704      # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     21231     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
    2170521232     # then remove everything of the form -xxx
    2170621233     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    21707      SOPLEX_DEPENDENCIES=`echo " $SOPLEX_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     21234     SOPLEX_DEPENDENCIES=`echo " $SOPLEX_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2170821235
    2170921236  fi
     
    2218321710     # construct dependencies variables from LIBS variables
    2218421711     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    22185      # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     21712     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
    2218621713     # then remove everything of the form -xxx
    2218721714     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    22188      CLP_DEPENDENCIES=`echo " $CLP_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     21715     CLP_DEPENDENCIES=`echo " $CLP_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2218921716
    2219021717  fi
     
    2380423331     # construct dependencies variables from LIBS variables
    2380523332     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    23806      # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     23333     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
    2380723334     # then remove everything of the form -xxx
    2380823335     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    23809      IPOPT_DEPENDENCIES=`echo " $IPOPT_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    23810 
    23811        SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23336     IPOPT_DEPENDENCIES=`echo " $IPOPT_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23337
     23338       SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2381223339
    2381323340  fi
     
    2432923856     # construct dependencies variables from LIBS variables
    2433023857     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    24331      # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     23858     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
    2433223859     # then remove everything of the form -xxx
    2433323860     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    24334      CPPAD_DEPENDENCIES=`echo " $CPPAD_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    24335 
    24336        SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23861     CPPAD_DEPENDENCIES=`echo " $CPPAD_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23862
     23863       SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2433723864
    2433823865  fi
     
    2439223919#                       Check for system header and libraries               #
    2439323920#############################################################################
     23921
     23922EXTRAFLAGS="-DNPARASCIP"
    2439423923
    2439523924
     
    2612725656Usually this means the macro was only invoked conditionally." >&5
    2612825657echo "$as_me: error: conditional \"AMDEP\" was never defined.
    26129 Usually this means the macro was only invoked conditionally." >&2;}
    26130    { (exit 1); exit 1; }; }
    26131 fi
    26132 if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
    26133   { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
    26134 Usually this means the macro was only invoked conditionally." >&5
    26135 echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
    26136 Usually this means the macro was only invoked conditionally." >&2;}
    26137    { (exit 1); exit 1; }; }
    26138 fi
    26139 if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
    26140   { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
    26141 Usually this means the macro was only invoked conditionally." >&5
    26142 echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
    2614325658Usually this means the macro was only invoked conditionally." >&2;}
    2614425659   { (exit 1); exit 1; }; }
     
    2690726422s,@COIN_CXX_IS_CL_FALSE@,$COIN_CXX_IS_CL_FALSE,;t t
    2690826423s,@MPICXX@,$MPICXX,;t t
     26424s,@EGREP@,$EGREP,;t t
     26425s,@LN_S@,$LN_S,;t t
    2690926426s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
    2691026427s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
     
    2694126458s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
    2694226459s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
    26943 s,@EGREP@,$EGREP,;t t
    26944 s,@LN_S@,$LN_S,;t t
    2694526460s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
    2694626461s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.